#
# Conditional build:
%bcond_without	lxc		# LXC support
%bcond_without	qemu		# Qemu support
%bcond_without	python3		# CPython 3.x module

# qemu available only on x86 and ppc
%ifnarch %{ix86} %{x8664} x32 ppc
%undefine	with_qemu
%endif

%define		origname	libvirt-python
Summary:	Python 2.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 2.x do współpracy z funkcjami wirtualizacji
Name:		python-libvirt
Version:	2.5.0
Release:	1
License:	LGPL v2.1+
Group:		Development/Languages/Python
Source0:	ftp://ftp.libvirt.org/libvirt/python/%{origname}-%{version}.tar.gz
# Source0-md5:	6a064196181adcb7769e42c312a65610
Patch0:		libvirt-python-build.patch
URL:		http://www.libvirt.org/
BuildRequires:	libvirt-devel >= 1.0.2
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.4
BuildRequires:	python-devel >= 1:2.4
%if %{with python3}
BuildRequires:	python3 >= 1:3
BuildRequires:	python3-devel >= 1:3
%endif
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
BuildConflicts:	python-PyXML < 0.8.4-13
Requires:	libvirt >= 1.0.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 2.x bindings for the libvirt library.

%description -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 2.x do biblioteki libvirt.

%package -n python3-libvirt
Summary:	Python 3.x bindings to interact with virtualization capabilities
Summary(pl.UTF-8):	Wiązania Pythona 3.x do współpracy z funkcjami wirtualizacji
Group:		Development/Languages/Python
Requires:	libvirt >= 1.0.2

%description -n python3-libvirt
Libvirt is a C toolkit to interact with the virtualization
capabilities of recent versions of Linux.

This package contains the Python 3.x bindings for the libvirt library.

%description -n python3-libvirt -l pl.UTF-8
Libvirt to zestaw narzędzi w C do współpracy z funkcjami wirtualizacji
obecnych wersji Linuksa.

Ten pakiet zawiera wiązania Pythona 3.x do biblioteki libvirt.

%prep
%setup -q -n %{origname}-%{version}
%patch0 -p1

%build
%py_build

%if %{with python3}
%py3_build
%endif

%install
rm -rf $RPM_BUILD_ROOT

%py_install

%py_postclean

%if %{with python3}
%py3_install
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{py_sitedir}/libvirtmod.so
%{py_sitedir}/libvirt.py[co]
%if %{with lxc}
%attr(755,root,root) %{py_sitedir}/libvirtmod_lxc.so
%{py_sitedir}/libvirt_lxc.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py_sitedir}/libvirtmod_qemu.so
%{py_sitedir}/libvirt_qemu.py[co]
%endif
%{py_sitedir}/libvirt_python-%{version}-py*.egg-info

%if %{with python3}
%files -n python3-libvirt
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README NEWS
%attr(755,root,root) %{py3_sitedir}/libvirtmod.*.so
%{py3_sitedir}/libvirt.py
%{py3_sitedir}/__pycache__/libvirt.*.py[co]
%if %{with lxc}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_lxc.*.so
%{py3_sitedir}/libvirt_lxc.py
%{py3_sitedir}/__pycache__/libvirt_lxc.*.py[co]
%endif
%if %{with qemu}
%attr(755,root,root) %{py3_sitedir}/libvirtmod_qemu.*.so
%{py3_sitedir}/libvirt_qemu.py
%{py3_sitedir}/__pycache__/libvirt_qemu.*.py[co]
%endif
%{py3_sitedir}/libvirt_python-%{version}-py*.egg-info
%endif
%changelog
* Sat Dec 31 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-libvirt.git;a=log;h=master

* Sat Dec 31 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 3e96138
- up to 2.5.0

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 6195374
- python 3.6
- release 4 (by relup.sh)

* Sat May 07 2016 Jan Rękorajski <baggins@pld-linux.org> a96a37c
- use rpm python nacros
- rel 3

* Sun Nov 29 2015 Jacek Konieczny <jajcus@jajcus.net> 091f9fb
- BR: rpmbuild(macros) >= 1.710

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> eafe537
- release 2 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> ab13a54
- automatic change: use py_build/py_install macros

* Mon Oct 26 2015 Jakub Bogusz <qboosh@pld-linux.org> a60469c
- there is libvirt-qemu on x32

* Mon Oct 26 2015 Jakub Bogusz <qboosh@pld-linux.org> ff2f91f
- updated to 1.2.20

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 45c7a83
- python3.5 rebuild
- release 3 (by relup.sh)

* Sun Sep 13 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> 3f9113f
- python 3.5 rebuild
- release 2 (by relup.sh)

* Sun Jul 19 2015 Jakub Bogusz <qboosh@pld-linux.org> a0fc4e4
- updated to 1.2.17

* Fri Jun 26 2015 Jakub Bogusz <qboosh@pld-linux.org> e721dd1
- updated to 1.2.16

* Fri Apr 24 2015 Jakub Bogusz <qboosh@pld-linux.org> dbd293c
- updated to 1.2.14

* Sun Mar 01 2015 Jakub Bogusz <qboosh@pld-linux.org> d331ba9
- updated to 1.2.12

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 5e18bbe
- updated to 1.2.9

* Sun Oct 19 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> b42160f
- python 3.4
- release 2 (by relup.sh)

* Mon Sep 08 2014 Jakub Bogusz <qboosh@pld-linux.org> 2fc025d
- updated to 1.2.8

* Sat Aug 23 2014 Jakub Bogusz <qboosh@pld-linux.org> 9ae5d74
- updated to 1.2.7

* Fri Jul 04 2014 Jakub Bogusz <qboosh@pld-linux.org> 6251eca
- updated to 1.2.6

* Mon Jun 09 2014 Jakub Bogusz <qboosh@pld-linux.org> 11131ac
- updated to 1.2.5

